Skip to main content
PATCH
/
contract_v2
/
{contract_id}
/
expire
Expire contract
curl --request PATCH \
  --url https://api.zenskar.com/contract_v2/{contract_id}/expire \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "expiry_date": "2025-12-31"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

contract_id
string<uuid>
required

Body

application/json
expiry_date
string<date> | null

Date to expire the contract (date only, not datetime). Defaults to today if not provided. Contract will be expired at end of day (23:59:59.999999).

Example:

"2025-12-31"

Response

Successful Response